Skip to content
Skip to main content
POST
https://api.us.nylas.com/v3/connectors

Create a connector

Create a connector in your Nylas application.

Connectors are how your Nylas application stores information it needs to connect to external services. Creating a connector is the first step in setting up authentication for your project. See Supported providers for more information.

Works with an API key or an IAM API key with the connectors.create permission.

Request body

provider*string

The provider type. For Google providers, set to google.

google
Example: "google"
settingsobject

Google Cloud provider auth app credentials and settings.

scopearray<string>

Set the default scopes for each connector. These scopes are overridden by scopes set on the specific grant.

Example: ["https://www.googleapis.com/auth/userinfo.email","https://www.googleapis.com/auth/userinfo.profile","https://www.googleapis.com/auth/gmail.readonly"]

Responses

request_idstring

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataobject
POSThttps://api.us.nylas.com/v3/connectors

Find your API key in the Nylas Dashboard under API Keys in your application settings.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.